Part Point

From FreeCAD Documentation
Revision as of 18:13, 22 February 2022 by C4e (talk | contribs) (→‎Scripting)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Point

Menu location
Part → Create primitives → Point
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

The Part Point command creates a point.

FreeCAD creates a point (vertex) geometric primitive, that is positioned at the origin (0,0,0).

Usage

  1. There are several ways to invoke the command:
    • Press the Create Primitives... button.
    • Select the Part → Create Primitives → Create Primitives... option from the menu.
    • Select the Point option from the menu.
  2. Set options and press Create.
  3. To close the dialog press Close.

Properties

See also: Property editor.

A Part Point object is derived from a Part Feature object and inherits all its properties. It has no additional properties.

Scripting

A Part Point is created with the addObject() method of the document.

point = App.ActiveDocument.addObject("Part::Vertex", "myPoint")
  • Where myPoint is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

point.Label = "new myPointName"

You can access and modify attributes of the point object. For example, you may wish to modify the x, y or z-coordinate.

point.X = 1
point.Y = 2
point.Z = 3

The result will be a new location of the point with the given coordinates.

You can change its placement and orientation with:

point.Placement= App.Placement(App.Vector(1,2,3), App.Rotation())